import request from "./request.js"

//充值记录
export function getRechangeList(data) {
	return request({
		url: '/api/user/recharge_lst',
		method: 'get',
		params:data
	});
}

//充值
export function rechange(data) {
	return request({
		url: '/api/user/recharge',
		method: 'post',
		data
	});
}

//获取用户信息
export function getUserInfo(data) {
	return request({
		url: '/api/user/userinfo',
		method: 'get',
		params:data
	});
}

//设置用户信息
export function setUserInfo(data) {
	return request({
		url: '/api/user/profile',
		method: 'post',
		data
	});
}

//转账记录
export function getTransferList(data) {
	return request({
		url: '/api/user/transfer_lst',
		method: 'get',
		params:data
	});
}

//转账
export function transfer(data) {
	return request({
		url: '/api/user/transfer',
		method: 'post',
		data
	});
}

//提现
export function withdrawalList(data) {
	return request({
		url: '/api/user/withdrawal_lst',
		method: 'get',
		params:data
	});
}

//提现
export function withdrawal(data) {
	return request({
		url: '/api/user/withdrawal',
		method: 'post',
		data
	});
}

//获取token列表
export function getTokenList(data) {
	return request({
		url: '/api/user/get_token_list',
		method: 'get',
		params:data
	});
}

//下单
export function createOrder(data) {
	return request({
		url: '/api/user/create_order',
		method: 'get',
		params:data
	});
}

//购买自动下单
export function  payAuto(data) {
	return request({
		url: '/api/user/pay_auto',
		method: 'get',
		params:data
	});
}

//资金流水
export function getMoneyList(data) {
	return request({
		url: '/api/user/money_log',
		method: 'get',
		params:data
	});
}


export function getOrderList(data) {
	return request({
		url: '/api/user/order_list',
		method: 'get',
		params:data
	});
}


export function batchOrder(data) {
	return request({
		url: '/api/user/batch_order',
		method: 'post',
		data
	});
}

export function dataCount(data) {
	return request({
		url: '/api/user/data_count',
		method: 'get',
		params:data
	});
}

export function accountGa(data) {
	return request({
		url: '/api/user/account_ga',
		method: 'get',
		params:data
	});
}

//
export function getga(data) {
	return request({
		url: '/api/user/getga',
		method: 'get',
		params:data
	});
}

export function checkCode(data) {
	return request({
		url: '/api/user/check_code',
		method: 'post',
		data
	});
}


export function getTokenOrderList(data) {
	return request({
		url: '/api/user/token_order_lst',
		method: 'get',
		params:data
	});
}
export function downToken(data) {
	return request({
		url: '/api/user/down_token',
		method: 'get',
		params:data
	});
}
